// Postfix to the FF emscripten bitcode
// ====================================
// 
// 
//       \|||/                                      
//       (o o)                         _      _     
// ,-ooO--(_)------,   _ __   ___  ___| |_   (_)___ 
// |    _________  |  | '_ \ / _ \/ __| __|  | / __|
// |   /  _._   /  |  | |_) | (_) \__ \ |_ _ | \__ \
// |  /________/   |  | .__/ \___/|___/\__(_)/ |___/
// '-----------ooO-'  |_|                  |__/     
// 
// Written by Antoine Le Hyaric ([[http://www.ljll.math.upmc.fr/lehyaric]])
// 
// Sorbonne Université, Université Paris-Diderot SPC, CNRS, Laboratoire Jacques-Louis Lions, F-75005, Paris, France
// 
// ----------------------------
// This file is part of FreeFEM
// ----------------------------
// FreeFEM is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as
// published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
// FreeFEM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
// You should have received a copy of the GNU Lesser General Public License along with FreeFEM; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
// 
// _links_ [[freefem]] [[function_end]]
// [[elisp:(org-toggle-link-display)][show links]]
// 
// [[elisp:(alh-set-keywords)][set keywords]] ([[file:~/alh/bin/headeralh][headeralh]])
// emacs-keywords brief="Postfix to the FF emscripten bitcode" freefem javascript start=08/03/15 univ written

// --- 8< --- <<function_end>> [[file:../1dex.org::function_end][(i)]] end of function from [[file:pre.js::ffjs_callcxx]]

  // save script text in the Emscripten file system to call FF as if it had regular files to look at
  var edp_name='online.edp';
  FS.writeFile(edp_name,edp);

  // <<freefem>> [[file:../1dex.org::freefem][(i)]] connects to the FreeFEM Emscripten binaries built from C++
  freefem=Module.cwrap('freefem','number',['string']);
}

// Local Variables:
// mode:js
// eval:(org-link-minor-mode)
// eval:(visual-line-mode t)
// coding:utf-8
// eval:(flyspell-prog-mode)
// eval:(outline-minor-mode)
// End:
// LocalWords: emacs
