// ~/ffalh/ffjs/util.cpp
// =====================
// 
// 
#if 0
"        \|||/                                           "
"        (o o)               _   _ _                     "
"  ,-ooO--(_)------,   _   _| |_(_) |  ___ _ __  _ __    "
"  |    _________  |  | | | | __| | | / __| '_ \| '_ \   "
"  |   /  _._   /  |  | |_| | |_| | || (__| |_) | |_) |  "
"  |  /________/   |   \__,_|\__|_|_(_)___| .__/| .__/   "
"  '-----------ooO-'                      |_|   |_|      "
#endif
// 
// Written by Antoine Le Hyaric ([[http://www.ljll.fr/lehyaric]])
// 
// Sorbonne Université, CNRS, Laboratoire Jacques-Louis Lions, F-75005, Paris, France
// 
// ----------------------------
// This file is part of FreeFEM
// ----------------------------
// FreeFEM is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as
// published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
// FreeFEM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
// You should have received a copy of the GNU Lesser General Public License along with FreeFEM; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
// 
// _references_ [[exported_freefem]]
// [[elisp:(progn (org-link-minor-mode) (setq org-link-descriptive nil) (org-toggle-link-display))][hide links]] [[elisp:(progn (org-link-minor-mode) (setq org-link-descriptive t) (org-toggle-link-display))][show links]] [[elisp:(alh-1dex-open)][open 1dex]] [[elisp:(alh-1dex-update)][update 1dex]]
// 
// [[elisp:(alh-set-keywords)][set keywords]] ([[file:~/alh/bin/headeralh][headeralh]])
// emacs-keywords cpp freefem start=23/02/2015 univ update=27/05/24 written

// headerfilter [[elisp:(alh-header-filter)][update]] [[file:~/.emacs::alh-header-filter][(.emacs)]] [[file:~/alh/bin/headerfilter::alh-header-filter][(headerfilter)]]
#include "util.hpp" // [[file:util.hpp]] added by [[file:~/alh/bin/headerfilter::auto_include_hpp]]
#include "ffapi.hpp" // [[file:../ffkernel/interpreter.cpp::ffapi_eval][_ffapi_eval_]]

// <<exported_freefem>>= [[file:../1dex.org::exported_freefem][(i)]] called by [[file:pre.js::exported_freefem]]

extern "C" void freefem(const char *script){
  ffapi::eval(script); // need #include "ffapi.hpp" // [[file:../ffkernel/interpreter.cpp::ffapi_eval][_ffapi_eval_]]
}

// Local Variables:
// mode:c++
// c-basic-offset:2
// coding:utf-8
// eval:(flyspell-prog-mode)
// eval:(outline-minor-mode)
// eval:(org-link-minor-mode)
// End:
// LocalWords: emacs
